Cubic Class Reference

Cubic interpolation factory and traits More...

`#include <ql/math/interpolations/cubicinterpolation.hpp>`

## Public Member Functions

| Cubic (CubicInterpolation::DerivativeApprox da=CubicInterpolation::Kruger, bool monotonic=false, CubicInterpolation::BoundaryCondition leftCondition=CubicInterpolation::SecondDerivative, Real leftConditionValue=0.0, CubicInterpolation::BoundaryCondition rightCondition=CubicInterpolation::SecondDerivative, Real rightConditionValue=0.0)
template<class I1 , class I2 >
Interpolation | interpolate (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin) const

## Static Public Attributes

static const bool | global = true
static const Size | requiredPoints = 2

## Detailed Description

Cubic interpolation factory and traits